import request from '@/utils/request'

// 获取模板
export function getTemplateDetailByCode(query) {
  return request({
    url: '/sys/template/getTemplateDetailByCode',
    headers: {
      isToken: false
    },
    method: 'get',
    params: query
  })
}

// 获取国家
export function getCountry() {
  return request({
    url: '/common/getCountry',
    headers: {
      isToken: false
    },
    method: 'get'
  })
}

// 获取州属
export function getStates(query) {
  return request({
    url: '/common/getStates',
    headers: {
      isToken: false
    },
    method: 'get',
    params: query
  })
}

// 获取城市
export function getCity(query) {
  return request({
    url: '/common/getCity',
    headers: {
      isToken: false
    },
    method: 'get',
    params: query
  })
}

// 获取轮播图
export function queryBannerList(query) {
  return request({
    url: '/app/common/queryBannerList',
    method: 'get',
    params: query,
    ignoreError: true
  })
}

// 我的账户列表
export function getMtTableInfo(query) {
  return request({
    url: '/app/customer/getMtTableInfo',
    method: 'get',
    params: query
  })
}

// 我的账户列表(过滤禁止出金账号)
export function getMtTableInfo2(query) {
  return request({
    url: '/app/customer/getMtTableInfo2',
    method: 'get',
    params: query
  })
}

// 更新爱好语言接口
export function setLoveLanguage(data) {
  return request({
    url: '/app/login/setLoveLanguage',
    method: 'post',
    ignoreError: true,
    data: data
  })
}

// 我的交易列表
export function queryMyTradeList(query) {
  return request({
    url: '/app/customer/queryMyTradeList',
    method: 'get',
    params: query
  })
}

// 查询MT服务器列表
export function mtServer(query) {
  return request({
    url: '/app/common/mt/server',
    method: 'get',
    params: query
  })
}

// 查询mt账户列表
export function mtLogin(query) {
  return request({
    url: '/app/common/mt/login',
    method: 'get',
    params: query
  })
}

// 查询字典数据接口
export function getDictByCode(query) {
  return request({
    url: '/app/common/getDictByCode',
    method: 'get',
    params: query
  })
}

// 查询页面按钮权限
export function getPageBtnPower(query) {
  return request({
    url: '/app/common/getPageBtnPower',
    method: 'get',
    params: query
  })
}

// 查询页面的数据权限
export function getDataPower(query) {
  return request({
    url: '/app/common/getDataPower',
    method: 'get',
    params: query
  })
}

// 查询KYC认证状态接口(邮箱认证+身份认证+居住认证)
export function getPersonalAuthStatus(query) {
  return request({
    url: '/app/personal/getPersonalAuthStatus',
    method: 'get',
    params: query
  })
}

// 查询出入金权限设置
export function getIfOTParams(query) {
  return request({
    url: '/app/capital/getIfOTParams',
    method: 'get',
    params: query
  })
}

// 获取出金转账配置
export function getOtFundConfig(query) {
  return request({
    url: '/app/common/querySys',
    method: 'get',
    params: query
  })
}

// 加载MT4列表
export function getCustomerMtLoginList(query) {
  return request({
    url: '/app/capital/getMtLoginList',
    method: 'get',
    params: query
  })
}

// 根据MT4账号，查询出入金阈值，如果没有设置，那么取默认值
export function queryByMt4Login(query) {
  return request({
    url: '/app/capital/queryByMt4Login',
    method: 'get',
    params: query
  })
}

// 根据支付通道ID，查询适用币种
export function getCurrencyByPay(query) {
  return request({
    url: '/app/capital/getCurrencyByPay',
    method: 'get',
    params: query
  })
}

export function getExchangeRate(query) {
  return request({
    url: '/app/capital/getExchangeRate',
    method: 'get',
    params: query
  })
}

// 查询图片上传路径
export function getImgPath(query) {
  return request({
    url: '/app/common/getImgPath',
    method: 'get',
    params: query
  })
}

// 查询文件上传路径
export function getFilePath(query) {
  return request({
    url: '/app/common/getFilePath',
    method: 'get',
    params: query
  })
}

// 我的已归档列表
export function queryHistoryMtLogin(query) {
  return request({
    url: '/app/customer/queryHistoryMtLogin',
    method: 'get',
    params: query
  })
}

// 保存MT账户归档
export function savePlaceFile(data) {
  return request({
    url: '/app/customer/savePlaceFile',
    method: 'post',
    data: data
  })
}

// 查询开户MT类型列表(模拟)
export function queryMtTypeListByDemo(query) {
  return request({
    url: '/app/customer/queryMtTypeListByDemo',
    method: 'get',
    params: query
  })
}

// 查询MT组列表
export function getMtGroup(query) {
  return request({
    url: '/app/common/getMtGroup',
    method: 'get',
    params: query
  })
}

// 查询是否完善个人资料接口 data=1，已完善 data=0，未完善
export function getIfImproveUser(query) {
  return request({
    url: '/app/personal/getIfImproveUser',
    method: 'get',
    params: query
  })
}

// 判断是否需要收取手续费
export function getIfChargeCommission(query) {
  return request({
    url: '/app/common/getIfChargeCommission',
    method: 'get',
    params: query
  })
}